<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateChinaBankSlipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('china_bank_slips', function (Blueprint $table) {
            $table->increments('id');
            $table->string('company_name');
            $table->string('bank_name');
            $table->string('acc_no');
            $table->string('bank_address');
            $table->string('swift');
            $table->string('cnap');
            $table->string('bank_branch');
            $table->string('order_id');
            $table->double('transfer_amount_needed');
            $table->double('actual_transfer_amount');
            $table->string('date');
            $table->string('details');
            $table->string('bankslip_url');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('china_bank_slips');
    }
}
